AM263Px MCU+ SDK: IcssgStats_Pa Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
IcssgStats_Pa Struct Reference
APIs for Networking modules » APIs for Enet LLD » Enet Statistics » ICSSG Statistics

## Detailed Description

ICSSG Packet Accelerator (PA) statistics counters.

The statistics counters reported by PRU-ICSSG. This structure type must be used by application to retrieve ICSSG statistics via ENET_STATS_IOCTL_GET_HOSTPORT_STATS.

## Data Fields
uint64_t | hostRxByteCnt
uint64_t | hostTxByteCnt
uint64_t | hostRxByteCntMacSlice0
uint64_t | hostRxByteCntMacSlice1
uint64_t | hostTxByteCntMacSlice0
uint64_t | hostTxByteCntMacSlice1
uint32_t | hostRxPktCnt
uint32_t | hostTxPktCnt
uint32_t | hostRxPktCntMacSlice0
uint32_t | hostRxPktCntMacSlice1
uint32_t | hostTxPktCntMacSlice0
uint32_t | hostTxPktCntMacSlice1
uint32_t | rtu0PktDroppedSlice0
uint32_t | rtu0PktDroppedSlice1
uint32_t | port1Q0Overflow
uint32_t | port1Q1Overflow
uint32_t | port1Q2Overflow
uint32_t | port1Q3Overflow
uint32_t | port1Q4Overflow
uint32_t | port1Q5Overflow
uint32_t | port1Q6Overflow
uint32_t | port1Q7Overflow
uint32_t | port2Q0Overflow
uint32_t | port2Q1Overflow
uint32_t | port2Q2Overflow
uint32_t | port2Q3Overflow
uint32_t | port2Q4Overflow
uint32_t | port2Q5Overflow
uint32_t | port2Q6Overflow
uint32_t | port2Q7Overflow
uint32_t | hostQ0Overflow
uint32_t | hostQ1Overflow
uint32_t | hostQ2Overflow
uint32_t | hostQ3Overflow
uint32_t | hostQ4Overflow
uint32_t | hostQ5Overflow
uint32_t | hostQ6Overflow
uint32_t | hostQ7Overflow
uint32_t | hostEgressQPreOverflow
uint32_t | droppedPktSlice0
uint32_t | droppedPktSlice1
uint32_t | rxErrorSlice0
uint32_t | rxErrorSlice1
uint32_t | rxEofRtuDsInvalidSlice0
uint32_t | rxEofRtuDsInvalidSlice1
uint32_t | txPort1DroppedPkt
uint32_t | txPort2DroppedPkt
uint32_t | txPort1TsDroppedPkt
uint32_t | txPort2TsDroppedPkt
uint32_t | infPortDisabledSlice0
uint32_t | infPortDisabledSlice1
uint32_t | infSavSlice0
uint32_t | infSavSlice1
uint32_t | infSaBlSlice0
uint32_t | infSaBlSlice1
uint32_t | infPortBlockedSlice0
uint32_t | infPortBlockedSlice1
uint32_t | infAftDropTaggedSlice0
uint32_t | infAftDropTaggedSlice1
uint32_t | infAftDropPrioTaggedSlice0
uint32_t | infAftDropPrioTaggedSlice1
uint32_t | infAftDropNoTagSlice0
uint32_t | infAftDropNoTagSlice1
uint32_t | infAftDropNotMemberSlice0
uint32_t | infAftDropNotMemberSlice1
uint32_t | fdbNoSpaceToLearn
uint32_t | preemptBadFragSlice0
uint32_t | preemptBadFragSlice1
uint32_t | preemptAsmErrSlice0
uint32_t | preemptAsmErrSlice1
uint32_t | preemptFragCntTxSlice0
uint32_t | preemptFragCntTxSlice1
uint32_t | preemptAsmOkSlice0
uint32_t | preemptAsmOkSlice1
uint32_t | preemptFragCntRxSlice0
uint32_t | preemptFragCntRxSlice1
uint32_t | rxEofShortFrameErrSlice0
uint32_t | rxEofShortFrameErrSlice1
uint32_t | rxB0DropEarlyEoFSlice0
uint32_t | rxB0DropEarlyEoFSlice1
uint32_t | txJumboFrameCutoffSlice0
uint32_t | txJumboFrameCutoffSlice1
uint32_t | rxExpFragQDropSlice0
uint32_t | rxExpFragQDropSlice1
uint32_t | rxFifoOverRunSlice0
uint32_t | rxFifoOverRunSlice1
uint32_t | hostEgrsQPreOvrFloMacSlice0
uint32_t | hostEgrsQPreOvrFloMacSlice1
uint32_t | hostEgrsQExpOvrFloMacSlice0
uint32_t | hostEgrsQExpOvrFloMacSlice1
uint32_t | cutThroughPacketSlice0
uint32_t | cutThroughPacketSlice1

## Field Documentation

## ◆ hostRxByteCnt

uint64_t IcssgStats_Pa::hostRxByteCnt

Number of valid bytes sent by RX PRU to Host on PSI. Valid only for Switch mode

## ◆ hostTxByteCnt

uint64_t IcssgStats_Pa::hostTxByteCnt

Number of valid bytes copied by RTU0 to TX queues. Valid only for Switch mode

## ◆ hostRxByteCntMacSlice0

uint64_t IcssgStats_Pa::hostRxByteCntMacSlice0

Number of valid bytes sent by Rx PRU to Host on PSI. Valid only for Dualmac mode

## ◆ hostRxByteCntMacSlice1

uint64_t IcssgStats_Pa::hostRxByteCntMacSlice1

Number of valid bytes sent by Rx PRU to Host on PSI. Valid only for Dualmac mode

## ◆ hostTxByteCntMacSlice0

uint64_t IcssgStats_Pa::hostTxByteCntMacSlice0

Number of valid bytes sent by Tx PRU to Host on PSI. Valid only for Dualmac mode

## ◆ hostTxByteCntMacSlice1

uint64_t IcssgStats_Pa::hostTxByteCntMacSlice1

Number of valid bytes sent by Tx PRU to Host on PSI. Valid only for Dualmac mode

## ◆ hostRxPktCnt

uint32_t IcssgStats_Pa::hostRxPktCnt

Number of valid packets sent by RX PRU to Host on PSI. Valid only for Switch mode

## ◆ hostTxPktCnt

uint32_t IcssgStats_Pa::hostTxPktCnt

Number of valid packets copied by RTU0 to TX queues. Valid only for Switch mode

## ◆ hostRxPktCntMacSlice0

uint32_t IcssgStats_Pa::hostRxPktCntMacSlice0

Number of valid packets sent by Rx PRU to Host on PSI. Valid only for Dualmac mode

## ◆ hostRxPktCntMacSlice1

uint32_t IcssgStats_Pa::hostRxPktCntMacSlice1

Number of valid packets sent by Rx PRU to Host on PSI. Valid only for Dualmac mode

## ◆ hostTxPktCntMacSlice0

uint32_t IcssgStats_Pa::hostTxPktCntMacSlice0

Number of valid packets copied by RTU0 to Tx queues. Valid only for Dualmac mode

## ◆ hostTxPktCntMacSlice1

uint32_t IcssgStats_Pa::hostTxPktCntMacSlice1

Number of valid packets copied by RTU1 to Tx queues. Valid only for Dualmac mode

## ◆ rtu0PktDroppedSlice0

uint32_t IcssgStats_Pa::rtu0PktDroppedSlice0

PRU diagnostic error counter which increments when RTU0 drops a locally injected packet due to port disabled or rule violation

## ◆ rtu0PktDroppedSlice1

uint32_t IcssgStats_Pa::rtu0PktDroppedSlice1

PRU diagnostic error counter which increments when RTU1 drops a locally injected packet due to port disabled or rule violation

## ◆ port1Q0Overflow

uint32_t IcssgStats_Pa::port1Q0Overflow

Port1 TX Q Overflow Counter

## ◆ port1Q1Overflow

uint32_t IcssgStats_Pa::port1Q1Overflow

Port1 TX Q Overflow Counter

## ◆ port1Q2Overflow

uint32_t IcssgStats_Pa::port1Q2Overflow

Port1 TX Q Overflow Counter

## ◆ port1Q3Overflow

uint32_t IcssgStats_Pa::port1Q3Overflow

Port1 TX Q Overflow Counter

## ◆ port1Q4Overflow

uint32_t IcssgStats_Pa::port1Q4Overflow

Port1 TX Q Overflow Counter

## ◆ port1Q5Overflow

uint32_t IcssgStats_Pa::port1Q5Overflow

Port1 TX Q Overflow Counter

## ◆ port1Q6Overflow

uint32_t IcssgStats_Pa::port1Q6Overflow

Port1 TX Q Overflow Counter

## ◆ port1Q7Overflow

uint32_t IcssgStats_Pa::port1Q7Overflow

Port1 TX Q Overflow Counter

## ◆ port2Q0Overflow

uint32_t IcssgStats_Pa::port2Q0Overflow

Port2 TX Q Overflow Counter

## ◆ port2Q1Overflow

uint32_t IcssgStats_Pa::port2Q1Overflow

Port2 TX Q Overflow Counter

## ◆ port2Q2Overflow

uint32_t IcssgStats_Pa::port2Q2Overflow

Port2 TX Q Overflow Counter

## ◆ port2Q3Overflow

uint32_t IcssgStats_Pa::port2Q3Overflow

Port2 TX Q Overflow Counter

## ◆ port2Q4Overflow

uint32_t IcssgStats_Pa::port2Q4Overflow

Port2 TX Q Overflow Counter

## ◆ port2Q5Overflow

uint32_t IcssgStats_Pa::port2Q5Overflow

Port2 TX Q Overflow Counter

## ◆ port2Q6Overflow

uint32_t IcssgStats_Pa::port2Q6Overflow

Port2 TX Q Overflow Counter

## ◆ port2Q7Overflow

uint32_t IcssgStats_Pa::port2Q7Overflow

Port2 TX Q Overflow Counter

## ◆ hostQ0Overflow

uint32_t IcssgStats_Pa::hostQ0Overflow

Host TX Q Overflow Counter

## ◆ hostQ1Overflow

uint32_t IcssgStats_Pa::hostQ1Overflow

Host TX Q Overflow Counter

## ◆ hostQ2Overflow

uint32_t IcssgStats_Pa::hostQ2Overflow

Host TX Q Overflow Counter

## ◆ hostQ3Overflow

uint32_t IcssgStats_Pa::hostQ3Overflow

Host TX Q Overflow Counter

## ◆ hostQ4Overflow

uint32_t IcssgStats_Pa::hostQ4Overflow

Host TX Q Overflow Counter

## ◆ hostQ5Overflow

uint32_t IcssgStats_Pa::hostQ5Overflow

Host TX Q Overflow Counter

## ◆ hostQ6Overflow

uint32_t IcssgStats_Pa::hostQ6Overflow

Host TX Q Overflow Counter

## ◆ hostQ7Overflow

uint32_t IcssgStats_Pa::hostQ7Overflow

Host TX Q Overflow Counter

## ◆ hostEgressQPreOverflow

uint32_t IcssgStats_Pa::hostEgressQPreOverflow

Host Egress Q (Pre-emptible) Overflow Counter

## ◆ droppedPktSlice0

uint32_t IcssgStats_Pa::droppedPktSlice0

Incremented if a packet is dropped at PRU0 because of a rule violation

## ◆ droppedPktSlice1

uint32_t IcssgStats_Pa::droppedPktSlice1

Incremented if a packet is dropped at PRU1 because of a rule violation

## ◆ rxErrorSlice0

uint32_t IcssgStats_Pa::rxErrorSlice0

Incremented if there was a CRC error or Min/Max frame error at PRU0

## ◆ rxErrorSlice1

uint32_t IcssgStats_Pa::rxErrorSlice1

Incremented if there was a CRC error or Min/Max frame error at PRU1

## ◆ rxEofRtuDsInvalidSlice0

uint32_t IcssgStats_Pa::rxEofRtuDsInvalidSlice0

RTU0 diagnostic counter increments when RTU detects Data Status invalid condition

## ◆ rxEofRtuDsInvalidSlice1

uint32_t IcssgStats_Pa::rxEofRtuDsInvalidSlice1

RTU1 diagnostic counter increments when RTU detects Data Status invalid condition

## ◆ txPort1DroppedPkt

uint32_t IcssgStats_Pa::txPort1DroppedPkt

Counter for packets dropped via NRT TX Port1

## ◆ txPort2DroppedPkt

uint32_t IcssgStats_Pa::txPort2DroppedPkt

Counter for packets dropped via NRT TX Port2

## ◆ txPort1TsDroppedPkt

uint32_t IcssgStats_Pa::txPort1TsDroppedPkt

Counter for packets with TS flag dropped via NRT TX Port1

## ◆ txPort2TsDroppedPkt

uint32_t IcssgStats_Pa::txPort2TsDroppedPkt

Counter for packets with TS flag dropped via NRT TX Port2

## ◆ infPortDisabledSlice0

uint32_t IcssgStats_Pa::infPortDisabledSlice0

PRU0 diagnostic error counter which increments when RX frame is dropped due to port is disabled

## ◆ infPortDisabledSlice1

uint32_t IcssgStats_Pa::infPortDisabledSlice1

PRU1 diagnostic error counter which increments when RX frame is dropped due to port is disabled

## ◆ infSavSlice0

uint32_t IcssgStats_Pa::infSavSlice0

PRU0 diagnostic error counter which increments when RX frame is dropped due to SA violation

## ◆ infSavSlice1

uint32_t IcssgStats_Pa::infSavSlice1

PRU1 diagnostic error counter which increments when RX frame is dropped due to SA violation

## ◆ infSaBlSlice0

uint32_t IcssgStats_Pa::infSaBlSlice0

PRU0 diagnostic error counter which increments when RX frame is dropped due to SA black listed

## ◆ infSaBlSlice1

uint32_t IcssgStats_Pa::infSaBlSlice1

PRU1 diagnostic error counter which increments when RX frame is dropped due to SA black listed

## ◆ infPortBlockedSlice0

uint32_t IcssgStats_Pa::infPortBlockedSlice0

PRU0 diagnostic error counter which increments when RX frame is dropped due to port blocked and not a special frame

## ◆ infPortBlockedSlice1

uint32_t IcssgStats_Pa::infPortBlockedSlice1

PRU1 diagnostic error counter which increments when RX frame is dropped due to port blocked and not a special frame

## ◆ infAftDropTaggedSlice0

uint32_t IcssgStats_Pa::infAftDropTaggedSlice0

PRU0 diagnostic error counter which increments when RX frame is dropped due to tagged

## ◆ infAftDropTaggedSlice1

uint32_t IcssgStats_Pa::infAftDropTaggedSlice1

PRU1 diagnostic error counter which increments when RX frame is dropped due to tagged

## ◆ infAftDropPrioTaggedSlice0

uint32_t IcssgStats_Pa::infAftDropPrioTaggedSlice0

PRU0 diagnostic error counter which increments when RX frame is dropped due to priority tagged

## ◆ infAftDropPrioTaggedSlice1

uint32_t IcssgStats_Pa::infAftDropPrioTaggedSlice1

PRU1 diagnostic error counter which increments when RX frame is dropped due to priority tagged

## ◆ infAftDropNoTagSlice0

uint32_t IcssgStats_Pa::infAftDropNoTagSlice0

PRU0 diagnostic error counter which increments when RX frame is dropped due to untagged

## ◆ infAftDropNoTagSlice1

uint32_t IcssgStats_Pa::infAftDropNoTagSlice1

PRU1 diagnostic error counter which increments when RX frame is dropped due to untagged

## ◆ infAftDropNotMemberSlice0

uint32_t IcssgStats_Pa::infAftDropNotMemberSlice0

PRU0 diagnostic error counter which increments when RX frame is dropped due to port not member of VLAN

## ◆ infAftDropNotMemberSlice1

uint32_t IcssgStats_Pa::infAftDropNotMemberSlice1

PRU1 diagnostic error counter which increments when RX frame is dropped due to port not member of VLAN

## ◆ fdbNoSpaceToLearn

uint32_t IcssgStats_Pa::fdbNoSpaceToLearn

PRU diagnostic error counter which increments when an entry couldn't be learned

## ◆ preemptBadFragSlice0

uint32_t IcssgStats_Pa::preemptBadFragSlice0

PRU0 Bad fragment Error Counter

## ◆ preemptBadFragSlice1

uint32_t IcssgStats_Pa::preemptBadFragSlice1

PRU1 Bad fragment Error Counter

## ◆ preemptAsmErrSlice0

uint32_t IcssgStats_Pa::preemptAsmErrSlice0

PRU0 Fragment assembly Error Counter

## ◆ preemptAsmErrSlice1

uint32_t IcssgStats_Pa::preemptAsmErrSlice1

PRU1 Fragment assembly Error Counter

## ◆ preemptFragCntTxSlice0

uint32_t IcssgStats_Pa::preemptFragCntTxSlice0

PRU0 Fragment count in TX

## ◆ preemptFragCntTxSlice1

uint32_t IcssgStats_Pa::preemptFragCntTxSlice1

PRU1 Fragment count in TX

## ◆ preemptAsmOkSlice0

uint32_t IcssgStats_Pa::preemptAsmOkSlice0

PRU0 Assembly Completed

## ◆ preemptAsmOkSlice1

uint32_t IcssgStats_Pa::preemptAsmOkSlice1

PRU1 Assembly Completed

## ◆ preemptFragCntRxSlice0

uint32_t IcssgStats_Pa::preemptFragCntRxSlice0

PRU0 Fragments received

## ◆ preemptFragCntRxSlice1

uint32_t IcssgStats_Pa::preemptFragCntRxSlice1

PRU1 Fragments received

## ◆ rxEofShortFrameErrSlice0

uint32_t IcssgStats_Pa::rxEofShortFrameErrSlice0

PRU0 diagnostic error counter which increments if EOF task is scheduled without seeing RX_B1

## ◆ rxEofShortFrameErrSlice1

uint32_t IcssgStats_Pa::rxEofShortFrameErrSlice1

PRU1 diagnostic error counter which increments if EOF task is scheduled without seeing RX_B1

## ◆ rxB0DropEarlyEoFSlice0

uint32_t IcssgStats_Pa::rxB0DropEarlyEoFSlice0

PRU0 diagnostic counter which increments when frame if droped due to Early EOF received in B0

## ◆ rxB0DropEarlyEoFSlice1

uint32_t IcssgStats_Pa::rxB0DropEarlyEoFSlice1

PRU1 diagnostic counter which increments when frame if droped due to Early EOF received in B0

## ◆ txJumboFrameCutoffSlice0

uint32_t IcssgStats_Pa::txJumboFrameCutoffSlice0

Tx PRU0 diagnostic counter which increments when frame is cut off to prevent packet size > 2000B

## ◆ txJumboFrameCutoffSlice1

uint32_t IcssgStats_Pa::txJumboFrameCutoffSlice1

Tx PRU1 diagnostic counter which increments when frame is cut off to prevent packet size > 2000B

## ◆ rxExpFragQDropSlice0

uint32_t IcssgStats_Pa::rxExpFragQDropSlice0

Rx PRU0 diagnostic counter which increments when express frame is received in same queue as previous fragment

## ◆ rxExpFragQDropSlice1

uint32_t IcssgStats_Pa::rxExpFragQDropSlice1

Rx PRU1 diagnostic counter which increments when express frame is received in same queue as previous fragment

## ◆ rxFifoOverRunSlice0

uint32_t IcssgStats_Pa::rxFifoOverRunSlice0

RX fifo overrun for slice 0

## ◆ rxFifoOverRunSlice1

uint32_t IcssgStats_Pa::rxFifoOverRunSlice1

RX fifo overrun for slice 1

## ◆ hostEgrsQPreOvrFloMacSlice0

uint32_t IcssgStats_Pa::hostEgrsQPreOvrFloMacSlice0

Host Egress Q (Pre-emptible) Overflow Counter

## ◆ hostEgrsQPreOvrFloMacSlice1

uint32_t IcssgStats_Pa::hostEgrsQPreOvrFloMacSlice1

Host Egress Q (Pre-emptible) Overflow Counter

## ◆ hostEgrsQExpOvrFloMacSlice0

uint32_t IcssgStats_Pa::hostEgrsQExpOvrFloMacSlice0

Host Egress Q (Express) Overflow Counter

## ◆ hostEgrsQExpOvrFloMacSlice1

uint32_t IcssgStats_Pa::hostEgrsQExpOvrFloMacSlice1

Host Egress Q (Express) Overflow Counter

## ◆ cutThroughPacketSlice0

uint32_t IcssgStats_Pa::cutThroughPacketSlice0

Cut-through packet Counter for slice 0

## ◆ cutThroughPacketSlice1

uint32_t IcssgStats_Pa::cutThroughPacketSlice1

Cut-through packet Counter for slice 1